<html>
<head>
    <script src="dist/sweetalert-dev.js"></script>
    <link rel="stylesheet" href="dist/sweetalert.css">
    <link rel="stylesheet" href="css/screen.css" type="text/css"   />
</head>
<?php
session_start();
 
 ob_start();
 ini_set('session.bug_compat_warn', 0);
 ini_set('session.bug_compat_42', 1);
 //$customar_id=$_SESSION['customar_code'];
if($_POST['submit']){
 include("db.php");
 
  $day = $_POST['day'];
  $month = $_POST['month'];
  $year = $_POST['year'];
  $date=$year."-".$month."-".$day;
	
 $target=$_POST['target'];
 $customerId=$_POST['customerId'];
  
 $refrenceNumber=$_POST['refrenceNumber'];
 
 $transactType=$_POST['transactType'];
 echo "<br>";
 //===================================================================================
 $new_dollarRatePriceRow=$_POST['new_dollarRate'];  // نرخ  جدید به دالر
 $new_dollarPriceRowmix=explode("/",$new_dollarRatePriceRow);
	$first_NewdollarPrice =$new_dollarPriceRowmix[0];
	$second_NewdollarPrice=$new_dollarPriceRowmix[1]; 
	 
//================================================================================
 
 
 
 echo "<br>";
 echo $counterCurrency=$_POST['counterCurrency'];
 echo "<br>";
 $amountP=$_POST['amount'];//مـــــوجــــودی صنـــــــدوق
 $amount = preg_replace('/[^\d\.-]/', '', $amountP);
echo "<br>"; 
 $currencyAmountP=$_POST['currencyAmount']; //مقدار ارز مورد معاوضه
 $currencyAmount = preg_replace('/[^\d\.-]/', '', $currencyAmountP);
 echo "<br>";

  $customerAmount=$_POST['customerAmount']; // موجودی مشتری به ارز موجود
 echo "<br>";
 $customerRemainP=$_POST['customerRemain']; //  الباقی حساب مشتری
 $customerRemain = preg_replace('/[^\d\.-]/', '', $customerRemainP);
 echo "<br>";
 
 //===================================================================================
     $dollarRateRow=$_POST['dollarRatePrice']; //  قیمت به دلار
     $dollarRatePriceRowmix=explode("/",$dollarRateRow);
	 $first_dollarRatePrice =$dollarRatePriceRowmix[0];
	 $second_dollarRatePrice=$dollarRatePriceRowmix[1]; 
	 echo "<br>";
	 
 //==================================================================================
 
     //$sumDollar=$_POST['sumDollar']; //  مجموع به دلار
   
 //echo "<br>====================<br>";
 $dollarAmount=$_POST['dollarAmount'];//موجودی بانک به دلار   
 $customerdollarAmount=$_POST['sumDollar']; // موجودی مشتری به دلار
 $customerRemaindollar=$_POST['customerRemaindollar']; //  الباقی حساب مشتری به دالر
 
 
 $desc=$_POST['desc']; //  توضیحات
 
 /* if($new_dollarRatePriceRow!=0){
 
    $dollarRate=($first_NewdollarPrice/$second_NewdollarPrice);
 } */
 
 echo "hekmat";
   $sumDollar=$dollarRate*$currencyAmount; //  مجموع به دلار
 //echo  "<br>============BANK ASSET===============================</br>";
 if(strlen(trim($customerId))==0 or strlen(trim($transactType))==0 or strlen(trim($currencyAmount))==0){
		echo' <script>
					 sweetAlert("اخطا ر... ", "لطفا جاهای خالی را پرکنید !", "error");
				  </script>';

         echo '<meta http-equiv="refresh" content ="1; url=defineIncome.php" >';
		die;


}
 //===============================check bank====================================
    $asset_Sql="select * from `assets`  where  currencies_id='$counterCurrency'";
	$asset_Query=$db ->query($asset_Sql);
	$asset_Row=$asset_Query ->fetch_array();
    $asset_Amount=$asset_Row['amount'];
	$asset_Dollar_Amount=$asset_Row['dollarAmount'];
  
	if(!isset($asset_Amount)){
	    echo' <script>
					sweetAlert("هشــدار...", "لطفا ابتدا پول را در قسمت دارییها ثبت کنید!", "error");
			   </script>'; 
		 echo '<meta http-equiv="refresh" content ="2; url='.$target.'" >';
         die;
	
	}
 //===============================End check bank====================================
 //..........................................................................................
   if($customerId!="" and $customerId!=0){ //اگر مشتری وجود داشت 
	   
	  //-------CUSTOMER BALANCE 
	   $customerRemainSql="select amount,dollarAmount from `customerbalance` 
	                                       where
	    customerId='$customerId' and currencyId='$counterCurrency' ";
	    $customerRemainQuery=$db ->query($customerRemainSql);
	    $customerRemainRow=$customerRemainQuery ->fetch_array();
	  
	    $customerRemainAmount=$customerRemainRow['amount'];
	    $customerRemaindollarAmount=$customerRemainRow['dollarAmount'];
	  //----END CUSTOMER BALANCE
       //در صــــــــــــــــــــــورتــــی کـه معــاملــــه رسیــــدگــــی باشد	  
	   if($transactType=='1'){  // اگر نوع معامله رسیدگی بود
	       
		   $newCustomerRemain=$customerRemainAmount+$currencyAmount;
		   $newCustomerdollarRemain=$customerRemaindollarAmount+$sumDollar;
				  
		   $updateSql="update customerbalance set amount='$newCustomerRemain',dollarAmount='$newCustomerdollarRemain' where customerId='$customerId' and currencyId='$counterCurrency'";
		   $updatequery=$db ->query($updateSql);
	       
		   if(!isset($customerRemainAmount)){ //اگر موجودی بنام این مشتری وجود نداشت برای مشتری جدیدا درست شو د
				 
				echo $remainInsertionSql="insert into customerbalance (date,customerId,currencyId,amount,dollarAmount)
			    values('$date','$customerId','$counterCurrency','$currencyAmount','$sumDollar')";
				    
				$remainInsertionquery=$db ->query($remainInsertionSql);
		    }
			
		  
			 
			    
	   } //پــایــــان رسیــــدگــــــــــــــــــــــــــــی
	   //...............................................................................
	   //...............................................................................
	    //درصــــــورتــــــی کــه معـــاملـــــه بــــردگـــی بـــاشـــــد
		
	   if($transactType=='2'){  // اگــر نــوع معــاملــه بــردگــی بــاشد
	       
		    $newCustomerRemain=$customerRemainAmount-$currencyAmount;
		    $newCustomerdollarRemain=$customerRemaindollarAmount-$sumDollar;
				   
		    $updateSql="update customerbalance set amount='$newCustomerRemain',dollarAmount='$newCustomerdollarRemain' where customerId='$customerId' and currencyId='$counterCurrency'";
		    $updatequery=$db ->query($updateSql);
	       
		   if(!isset($customerRemainAmount)){ // اگر به این حساب مشتری وجود نداشت حساب جدید ایجاد شود
				$newcurrencyAmount=-$currencyAmount;
			    echo $remainInsertionSql="insert into customerbalance (
				date,
				customerId,
				currencyId,
				amount,
				dollarAmount
				)
				values(
				'$date',
				'$customerId',
				'$counterCurrency',
				'$newcurrencyAmount',
				'$sumDollar'
				)";
				$remainInsertionquery=$db ->query($remainInsertionSql);
		    }
			//تغییر موجودی بــانــــــــــــک
		 
	   
	   } //پـــایـــان بــــــردگــــــــــی
	  //......................................................................................... 
	  //......................................................................................... 
	   //وارد شدن به بخش پرداخت مشتری
	   echo "<br>"; 
	   echo $insertCustomerPaymentSql="insert into customerpayment 
       (customerId,date,referenceNo,transacttype,transactCurrency,customerasset,amount,customerRemain,dollarRate,dollarTotal,description) 
                                   values
    ('$customerId','$date','$refrenceNumber','$transactType','$counterCurrency','$customerAmount','$currencyAmount','$customerRemain','$dollarRate','$sumDollar','$desc')";
   
      $insertCustomerPaymentQuery=$db ->query($insertCustomerPaymentSql);
	  
	  if($insertCustomerPaymentQuery){
		  
		   //آخرین رو را بگیــــــــــــــــــــر
		  $selectLast_sql = "select id from customerpayment order by id desc limit 1";
		  $selectLast_sqlQuery = $db->query($selectLast_sql);
		  $selectLastRow = $selectLast_sqlQuery->fetch_array();
		  $lastID = $selectLastRow['id'];
		  
		  // انزیرشن استیتمنت مشتری
		   $insertStatement ="insert into customer_statement
		  (reference,transaction_id,customerId,currency_id,amount,date,transaction_type,description)values('معاملات مشتری','$lastID','$customerId','$counterCurrency','$currencyAmount','$date','$transactType','$desc')";
    		 $iinsertStatementQuery = $db->query($insertStatement);
		  
		  
		  // انزیرشن به جـــــــــــــــــــــورنال====================================================================
		  //نام مشتری رو بگیر
		  $selectCustomer = "select name from customers where id =$customerId";
		  $selectCusetomerQeury = $db->query($selectCustomer);
		  $selectCustomerRow = $selectCusetomerQeury->fetch_array();
		  $customerName = $selectCustomerRow['name'];
		  
		 
		  //========
		  if($transactType==1){
			  $reference ='رسیدگی مشتری';
			  $dr_cr=1;
		  }
		  if($transactType==2){
			  $reference ='بردگی مشتری';
			  $dr_cr=2;
		  }
		  //بــــــــــــــــــــــــــــــــــــه جورنال ثبتــــــــــــــــــــــــ کـــــــــــــــــــــــــــــــن
		  
		  //insert journal
		    
		  $date=$date;
		  $namePart=$reference;
		  $reference=$reference;
		  $lastID=$lastID;
		  $currency=$counterCurrency;
		  $threadment=$reference;
		  $amount=$currencyAmount;
		  $dr_cr=$dr_cr;
		  $description=$desc;
		  
		  include("entery_journal_majul.php");
		  
		  //insert journal
		  
	  }
	 
	  
	   header("location:".$target);
	   
   }//END OF $CUSTOMERID!=""
 
 
 
 //&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
 if($customerId=="" or $customerId==0){ //اگر مشتری وجود داشت 
 
      echo' <script>
					sweetAlert("هشــدار...", "خطا در ثبت لطفا اطلاعات را دوباره وارد کنید!", "error");
			   </script>';

		 echo '<meta http-equiv="refresh" content ="2; url='.$target.'" >';
         die;
	
 
  
   
}
}

?>
</html>